org.wso2.carbon.mediation.initializer

## Class RegistryBasedSynapseConfigSerializer

- java.lang.Object
- - org.wso2.carbon.mediation.initializer.RegistryBasedSynapseConfigSerializer

-     public class RegistryBasedSynapseConfigSerializer
      extends Object

  Serializes the `SynapseConfiguration` to a registry space, which defaults to /carbon/synapse-config

  The configuration element hierarchy used is;

  - CONFIG_REGISTRY/repository/synapse/sequences
  - CONFIG_REGISTRY/repository/synapse/endpoints
  - CONFIG_REGISTRY/repository/synapse/local-entries
  - CONFIG_REGISTRY/repository/synapse/proxy-services
  - CONFIG_REGISTRY/repository/synapse/event-sources
  - CONFIG_REGISTRY/repository/synapse/synapse-startups
  - CONFIG_REGISTRY/repository/synapse/synapse-registry
  The above resource paths corresponds to the relevant elements
  See Also:
    `ServiceBusConstants.RegistryStore`, `RegistryBasedSynapseConfigBuilder`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegistryBasedSynapseConfigSerializer(org.wso2.carbon.registry.core.session.UserRegistry registry, String configName)` Constructs the serializer and sets the registry to be used

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serializeConfiguration(org.apache.synapse.config.SynapseConfiguration configuration)` Serialize and persists the `SynapseConfiguration` to the registry space.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegistryBasedSynapseConfigSerializer

          public RegistryBasedSynapseConfigSerializer(org.wso2.carbon.registry.core.session.UserRegistry registry,
                                                      String configName)

      Constructs the serializer and sets the registry to be used
      Parameters:
        `registry` - to be used to serialize the configuration elements
        `configName` - cpnfiguration name

  - ### Method Detail

    - #### serializeConfiguration

          public void serializeConfiguration(org.apache.synapse.config.SynapseConfiguration configuration)

      Serialize and persists the `SynapseConfiguration` to the registry space. If the synapse.xml has been loaded from the synapse registry then any change will be local to the server instance and will not be persisted to the specified synapse registry.
      Parameters:
        `configuration` - to be serialized

Copyright © 2019 WSO2. All rights reserved.